Security Enhanced Linux Reference Policy

# Layer: services

## Module: postfix

Tunables Interfaces Templates

### Description:

Postfix email server.

### Tunables:

postfix_local_write_mail_spool

##### Default value

true

##### Description

Determine whether postfix local can manage mail spool content.

postfix_manage_all_user_content

##### Default value

false

##### Description

Grant the postfix domains manage rights on all user content

postfix_manage_generic_user_content

##### Default value

false

##### Description

Grant the postfix domains manage rights on generic user content

postfix_read_all_user_content

##### Default value

false

##### Description

Grant the postfix domains read access to all user content

postfix_read_generic_user_content

##### Default value

true

##### Description

Grant the postfix domains read access to generic user content

Return

### Interfaces:

postfix_admin( domain , role )

##### Summary

All of the rules required to administrate an postfix environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

postfix_config_filetrans( domain , private type , object , name )

##### Summary

Create specified object in postfix etc directories with a type transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
private type | The type of the object to be created.
object | The object class of the object being created.
name | The name of the object being created.

postfix_create_private_sockets( domain )

##### Summary

Create postfix private sock files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_domtrans_map( domain )

##### Summary

Execute postfix_map in the postfix_map domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

postfix_domtrans_master( domain )

##### Summary

Execute the master postfix program in the postfix_master domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

postfix_domtrans_postdrop( domain )

##### Summary

Execute the master postdrop in the postfix postdrop domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

postfix_domtrans_postqueue( domain )

##### Summary

Execute the master postqueue in the postfix postqueue domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

postfix_domtrans_smtp( domain )

##### Summary

Execute the smtp postfix program in the postfix smtp domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

postfix_domtrans_user_mail_handler( domain )

##### Summary

Execute postfix user mail programs in their respective domains.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_dontaudit_rw_local_tcp_sockets( domain )

##### Summary

Do not audit attempts to read and write postfix local delivery TCP sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

postfix_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to use postfix master process file file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

postfix_exec_master( domain )

##### Summary

Execute the master postfix program in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_exec_postqueue( domain )

##### Summary

Execute postfix postqueue in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_getattr_all_spool_files( domain )

##### Summary

Get attributes of all postfix mail spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_list_spool( domain )

##### Summary

List postfix mail spool directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_manage_private_sockets( domain )

##### Summary

Create, read, write, and delete postfix private sock files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_manage_spool_files( domain )

##### Summary

Create, read, write, and delete postfix mail spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_read_config( domain )

##### Summary

Read postfix configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_read_local_state( domain )

##### Summary

Read postfix local process state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_read_master_state( domain )

##### Summary

Read postfix master process state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_read_spool_files( domain )

##### Summary

Read postfix mail spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_run_map( domain , role )

##### Summary

Execute postfix map in the postfix map domain, and allow the specified role the postfix_map domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

postfix_rw_inherited_master_pipes( domain )

##### Summary

Read and write inherited postfix master pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_rw_local_pipes( domain )

##### Summary

Read and write postfix local pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_search_spool( domain )

##### Summary

Search postfix mail spool directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_stream_connect_master( domain )

##### Summary

Connect to postfix master process using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_stub( domain )

##### Summary

Postfix stub interface. No access allowed.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_use_fds_master( domain )

##### Summary

Use postfix master file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

postfix_domain_template( domain_prefix )

##### Summary

The template to define a postfix domain.

##### Parameters

Parameter: | Description:
--- | ---
domain_prefix | Domain prefix to be used.

postfix_server_domain_template( domain_prefix )

##### Summary

The template to define a postfix server domain.

##### Parameters

Parameter: | Description:
--- | ---
domain_prefix | Domain prefix to be used.

postfix_user_domain_template( domain_prefix )

##### Summary

The template to define a postfix user domain.

##### Parameters

Parameter: | Description:
--- | ---
domain_prefix | Domain prefix to be used.

Return